com.microfocus.awm.model

## Interface IElementList

- All Superinterfaces:
    org.eclipse.core.runtime.IAdaptable, IResource
  All Known Implementing Classes:
    ElementList

      public interface IElementList
      extends IResource

  Element lists are AWM `IResource`s containing `ElementListEntry` s. They are created by the `ElementlistManager` from reading and parsing file descriptors as a result of executed AWM actions.

  Element lists can be displayed both in table- and tree views. Hence they can have modeled or generated (empty) `ElementListStructure`s.

  Not intended to be sub-classed by clients.

  See Also:
    `ActionExecutor`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID_PREFIX` The cache prefix of element lists.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElementListEntries(java.util.List<IElementListEntry> pElementListEntries)` Add the given list of element list entries to this element list's entry list.
    `void` | `addElementListEntry(IElementListEntry pElementListEntry)` Add the given element list entry to this element list's entry list.
    `void` | `addElementListEntry(IElementListEntry pElementListEntry, int pIndex)` Add the given element list entry to this element list's entry list at the given position.
    `void` | `deleteList()` Remove the li_....xml-file belonging to this element list from the workspace.
    `ActionDescriptor` | `getAction()` Gets the action descriptor which created this element list.
    `java.util.List<IElementListEntry>` | `getElementListEntries()` Gets the list of element list entries.
    `IElementListEntry` | `getElementListEntry(IElement pElment)` Gets the element list entry of this list for the given element.
    `ElementListStructure` | `getElementListStructure()` Get the element list structure of this element list.
    `java.lang.String` | `getParentResourceID()` Used to return the parent resource ID before the resource itself was loaded from cache.
    `IResource` | `getResource()` Returns the resource that was selected when the element list was created.
    `java.lang.String` | `getTableViewID()` Get the id (secondary) of the view where this element list will be shown.
    `java.lang.String` | `getTableViewLabel()` Get the label that will be shown as view part name by loading of this element list.
    `java.lang.String` | `getTitle()` Gets the title of this element list.
    `int` | `indexOf(IElementListEntry pEntry)` Returns the index of the given element list entry or `-1` if it is not in the element list.
    `boolean` | `isTreeDisplay()`
    `boolean` | `isVisible()`
    `void` | `removeElementListEntries(java.util.List<IElementListEntry> pElementListEntries)` Remove the given list of element list entries from this element list's entry list.
    `void` | `removeElementListEntry(IElementListEntry pElementListEntry)` Remove the given element list entry from this element lists's entry list.
    `void` | `setElementListEntries(java.util.List<IElementListEntry> pElementListEntries)` Deprecated. This method does not maintain the children of this resource. Use `removeElementListEntries(List)` and `addElementListEntries(List)` to set the entries of the list.
    `void` | `setResource(IResource pResource)` Gets the resource that was used to create the element list.
    `void` | `setResource(java.lang.String pResourceID)` Same as `setResource(IResource)` but uses the resource ID instead.
    `void` | `setTableViewID(java.lang.String pTableViewID)` Get the (secondary) id of the view where this element list will be shown.
    `void` | `setTableViewLabel(java.lang.String pTableViewLabel)` Set the label that will be showing as view part name by loading of this element list.
    `void` | `setTitle(java.lang.String pTitle)` Sets the title of this element list.
    `void` | `setTreeDisplay(boolean pTreeDisplay)` If set the element list is be displayed in tree format; if not set the element list is displayed as flat table.
    `void` | `setVisible(boolean pShow)` If set to `true` the element list will be shown in table views.

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Field Detail

    - #### ID_PREFIX

          static final java.lang.String ID_PREFIX

      The cache prefix of element lists.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getElementListStructure

          ElementListStructure getElementListStructure()

      Get the element list structure of this element list.
      Returns:
        element list structure of this element list

    - #### setElementListEntries

          @Deprecated
          void setElementListEntries(java.util.List<IElementListEntry> pElementListEntries)

      Deprecated. This method does not maintain the children of this resource. Use `removeElementListEntries(List)` and `addElementListEntries(List)` to set the entries of the list.
      Sets the element list entries of this element list.
      Parameters:
        `pElementListEntries` - the new element list entries.

    - #### getElementListEntries

          java.util.List<IElementListEntry> getElementListEntries()

      Gets the list of element list entries.

      The returned list must not be modified directly since children resources would not be maintained.

      Returns:
        the list of element list entries.

    - #### addElementListEntry

          void addElementListEntry(IElementListEntry pElementListEntry)

      Add the given element list entry to this element list's entry list.
      Parameters:
        `pElementListEntry` - element list entry to be added

    - #### addElementListEntries

          void addElementListEntries(java.util.List<IElementListEntry> pElementListEntries)

      Add the given list of element list entries to this element list's entry list.
      Parameters:
        `pElementListEntries` - list of element list entries to be added

    - #### removeElementListEntry

          void removeElementListEntry(IElementListEntry pElementListEntry)

      Remove the given element list entry from this element lists's entry list.
      Parameters:
        `pElementListEntry` - element list entry to be removed

    - #### removeElementListEntries

          void removeElementListEntries(java.util.List<IElementListEntry> pElementListEntries)

      Remove the given list of element list entries from this element list's entry list.
      Parameters:
        `pElementListEntries` - list of element list entries to be removed

    - #### getElementListEntry

          IElementListEntry getElementListEntry(IElement pElment)

      Gets the element list entry of this list for the given element.
      Parameters:
        `pElment` - the element
      Returns:
        the element list entry or `null` if the list does not have an entry for the given element

    - #### getAction

          ActionDescriptor getAction()

      Gets the action descriptor which created this element list.
      Returns:
        the action descriptor

    - #### getResource

          IResource getResource()

      Returns the resource that was selected when the element list was created. Note that this is different from `IResource.getParentResource()`. This method will return `null` if the element list was created with no selected resource (e.g. through a global action).
      Returns:
        The resource that was selected when the element list was created (which can be `null`).

    - #### setResource

          void setResource(IResource pResource)

      Gets the resource that was used to create the element list.
      Parameters:
        `pResource` - the context resource (can be `null` e.g. if the element list was created by a global action)

    - #### deleteList

          void deleteList()
                   throws TaurusCoreException

      Remove the li_....xml-file belonging to this element list from the workspace.
      Throws:
        `TaurusCoreException` - if deleting the list fails

    - #### getTitle

          java.lang.String getTitle()

      Gets the title of this element list.
      Returns:
        the title

    - #### setTitle

          void setTitle(java.lang.String pTitle)

      Sets the title of this element list.
      Parameters:
        `pTitle` - the new title

    - #### addElementListEntry

          void addElementListEntry(IElementListEntry pElementListEntry,
                                   int pIndex)

      Add the given element list entry to this element list's entry list at the given position.
      Parameters:
        `pElementListEntry` - element list entry to be added
        `pIndex` - position at which the element list entry should be added

    - #### indexOf

          int indexOf(IElementListEntry pEntry)

      Returns the index of the given element list entry or `-1` if it is not in the element list.
      Parameters:
        `pEntry` - the `ElementListEntry`
      Returns:
        the index of the given entry or `-1`

    - #### isVisible

          boolean isVisible()

      Returns:
        `true` if the element list shall be shown in a table view. `false` otherwise.

    - #### setVisible

          void setVisible(boolean pShow)

      If set to `true` the element list will be shown in table views.
      Parameters:
        `pShow` - whether the element list should be displayed in table views

    - #### isTreeDisplay

          boolean isTreeDisplay()

      Returns:
        if `true` the element list is be displayed in tree format; if `false` the element list is displayed as flat table.

    - #### setTreeDisplay

          void setTreeDisplay(boolean pTreeDisplay)

      If set the element list is be displayed in tree format; if not set the element list is displayed as flat table.
      Parameters:
        `pTreeDisplay` - whether the element list should be displayed in tree format

    - #### setResource

          void setResource(java.lang.String pResourceID)

      Same as `setResource(IResource)` but uses the resource ID instead. This is useful on startup when the cache is not completely loaded and the resource IDs cannot be resolved.
      Parameters:
        `pResourceID` - the ID of an `IResource`

    - #### getParentResourceID

          java.lang.String getParentResourceID()

      Used to return the parent resource ID before the resource itself was loaded from cache.
      Returns:
        the ID of the parent resource.

    - #### getTableViewLabel

          java.lang.String getTableViewLabel()

      Get the label that will be shown as view part name by loading of this element list.
      Returns:
        the table view label of this element list

    - #### getTableViewID

          java.lang.String getTableViewID()

      Get the id (secondary) of the view where this element list will be shown.
      Returns:
        the table view id (secondary) of this element list

    - #### setTableViewLabel

          void setTableViewLabel(java.lang.String pTableViewLabel)

      Set the label that will be showing as view part name by loading of this element list.
      Parameters:
        `pTableViewLabel` - the view label of this list

    - #### setTableViewID

          void setTableViewID(java.lang.String pTableViewID)

      Get the (secondary) id of the view where this element list will be shown.
      Parameters:
        `pTableViewID` - the view id of this list

Copyright © 2015 Micro Focus GmbH. All rights reserved.